DKBSignDocs

API reference

POSTRequires Bearer token

Sync users from LDAP

/api/companies/{company}/ldap/sync

Updates existing LDAP users and disables accounts gone from AD (never deletes rows). Returns 202 — poll GET .../ldap/sync/latest.

Path parameters

FieldTypeDescription
company
Required
stringPath parameter company.

Query parameters

This endpoint has no query parameters.

Request body

This endpoint does not accept a request body.

Responses

StatusMeaning
202Sync started
401Missing or invalid Bearer token.

Request

curl
curl -X POST 'https://api.dkbsigns.com/api/companies/company/ldap/sync' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN'

Response 202

json
{
  "message": "Synchronisation LDAP",
  "sync": {
    "id": 1,
    "company_id": 1,
    "status": "pending",
    "stats": {},
    "message": null,
    "error": null,
    "started_at": null,
    "completed_at": null,
    "created_at": "2026-03-01T10:00:00+00:00"
  }
}